"/
"/ execute this script using the following command line:
"/
"/ stx -nobanner -I --quick --execute SelfTest.st
"/
"/ to use with jenkins (+ perfPublisher plugin):
"/ use the following buildscript:
"/ (after checkout of stx)
"/      cd stx
"/      call bmake
"/      cd goodies\selftest
"/      ..\..\projects\smalltalk\stx.com --noBanner -I --execute SelfTest.st
"/
"/ and configure the perfPublisher jenkins plugin, to scan for "testresult.xml"

Object infoPrinting:false.
ObjectMemory infoPrinting:false.
Processor activeProcess exceptionHandlerSet
    on:(Class updateChangeFileQuerySignal)
    do:[:ex | ex proceedWith:false ].

Stream compile:'<< text self nextPutAll:text'.
!

Stdout << 'Selftest Started '; cr.
!

Stdout <<'Loading sunit...'; cr.
Smalltalk loadPackage:'stx:goodies/sunit'.
!

Stdout <<'Loading regression tests...'; cr.
Smalltalk installAutoloadedClassesFromAbbrevFile:((Smalltalk projectDirectoryForPackage:'exept:regression') asFilename / 'abbrev.stc').
!

|suite result|

suite := TestSuite named:'SelfTest'.
suite addTest:(RegressionTests::IntegerTest suite).
suite addTest:(RegressionTests::CollectionTests suite).
suite addTest:(RegressionTests::CompilerTest suite).
suite addTest:(RegressionTests::DelayTest suite).
suite addTest:(RegressionTests::DictionaryTest suite).
suite addTest:(RegressionTests::EnumerationTests suite).
suite addTest:(RegressionTests::ExceptionTest suite).

result := suite run.
TestResultReporter report:result format:#xml_perfPublisher as:'testresult.xml'.

"/Autoload allSubclassesDo:[:cls |
"/    cls package = 'exept:regression' ifTrue:[
"/        Stdout << cls name; cr.
"/        cls runTests.
"/    ].
"/].
!
